<?
	global $sess;

	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {
		$sess->del("w_cykl");
		$os_id = $sess->get("id");
		$q = new CQuery("SELECT kod, opis, data_od, data_do, data_zakon, status_cyklu
				FROM
					XP_CYKLE_DYDAKTYCZNE,
					XP_PROWADZACY_PRZEDMIOTY_CYKLI
				WHERE
					(prac_id=$os_id AND
					cdyd_kod=kod)
				ORDER BY data_od;");
		if ($q->num_rows()) {
			while ($arr = $q->fetch_array()) {
				$cykl = array();
				$cykl["opis"]=$arr["opis"];
				$cykl["data_od"]=$arr["data_od"];
				$cykl["data_do"]=$arr["data_do"];
				$cykl["data_zakon"]=$arr["data_zakon"];
				$cykl["status_cyklu"]=$arr["status_cyklu"];
				$sess->setTab("w_cykl", "$arr[kod]", $cykl);
			}
		}
	}
?>
